﻿using WordPressPCL;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    /// <returns>태스크</returns>
    private async static Task Main()
    {
        string baseURL             = "https://somebody_wordpress.com/wp-json/";
        string userID              = "사용자 ID";
        string applicationPassword = "애플리케이션 패스워드";

        WordPressClient client = new WordPressClient(baseURL);

        client.Auth.UseBasicAuth(userID, applicationPassword);

        int postID = 100;

        bool result = await client.Posts.DeleteAsync(postID);

        if(result)
        {
            Console.WriteLine($"포스트가 성공적으로 삭제되었습니다 : {postID}");
        }
        else
        {
            Console.WriteLine($"포스트 삭제를 실패했습니다 : {postID}");
        }
    }

    #endregion
}